/*********************************************************
'*                                                       *
'*             920MHz Radio Sample Codes                 *
'*                                                       *
'* ----------------------------------------------------- *
'*    Module   :   radio.h                               *
'*    Author   :   Li Zheng                              *
'********************************************************/
#ifndef __RADIO_H__
#define __RADIO_H__

typedef unsigned char  int8u;

/*******************************************************************
** 샂[h`                                  @@@@@@@ **
*******************************************************************/
#define RF_SLEEP                         0x00
#define RF_STANDBY                       0x04
#define RF_TRANSMITTER                   0x0C
#define RF_RECEIVER                      0x10

/*******************************************************************
** WX^AhX            @@@                             **
*******************************************************************/
#define REG_OPMODE                       0x01
#define REG_DATAMODUL                    0x02
#define REG_BITRATEMSB                   0x03
#define REG_BITRATELSB                   0x04
#define REG_FDEVMSB                      0x05 
#define REG_FDEVLSB                      0x06
#define REG_OSC1                         0x0A
#define REG_RXBW                         0x19 
#define REG_AFCBW                        0x1A
#define REG_DIOMAPPING1	                 0x25
#define REG_IRQFLAGS1	                 0x27
#define REG_PREAMBLEMSB	                 0x2C		
#define REG_PREAMBLELSB	                 0x2D		
#define REG_SYNCCONFIG	                 0x2E
#define REG_SYNCVALUE1	                 0x2F
#define REG_SYNCVALUE2	                 0x30
#define REG_PACKETCONFIG1	         0x37
#define REG_PAYLOADLENGTH	         0x38
#define REG_FIFOTHRESH	                 0x3C

/*******************************************************************
** WX^ݒl@@@@                                          **
*******************************************************************/
// RegDataModul(0x02)
#define RF_DATAMODUL_MODULATIONTYPE_FSK		    0x00
#define RF_DATAMODUL_MODULATIONSHAPING_10           0x02

// RegBitRate (0x03-0x04)
#define RF_BITRATEMSB_50000                         0x02
#define RF_BITRATELSB_50000                         0x80

// RegFdev (0x05-0x06)
#define RF_FDEVMSB_50000                            0x03
#define RF_FDEVLSB_50000                            0x33

// RegOsc1 (0x0A)
#define RF_OSC1_RCCAL_START       		    0x80
#define RF_OSC1_RCCAL_DONE       		    0x40

//RegRxBw (0x19)
#define RF_RXBW_DCCFREQ_010                         0x40  
#define RF_RXBW_MANT_20                             0x08  
#define RF_RXBW_EXP_2                               0x02 

// RegAfcBw (0x1A)
#define RF_AFCBW_DCCFREQAFC_100						    0x80  // Default
#define RF_AFCBW_MANTAFC_20    						    0x08  // Default
#define RF_AFCBW_EXPAFC_3       				          0x03  // Default

// RegDioMapping1 (0x25)
#define RF_DIOMAPPING1                              0x00

// RegIrqFlags1 (0x27)

// RegSyncConfig (0x2E)	                 
#define RF_SYNCCONFIG_ON                            0x80                           

//RegPacketConfig1 (0x37)
#define RF_PACKET1_FORMAT_VARIABLE                  0x80
#define RF_PACKET1_CRC_ON                           0x10  // Default

// RegPayloadLength (0x38)
#define RF_PAYLOADLENGTH_VALUE                      0x40  // Default

// RegFifoThresh (0x3C)
#define RF_FIFOTHRESH_TXSTART_FIFONOTEMPTY          0x80  // Default

/*******************************************************************
** WIݒp[^                                           **
*******************************************************************/
#define MY_CHANNEL        20
#define MY_TXPOWER        13

#define FRAME_MAX_SIZE    64
#define RF_BUFFER_SIZE    FRAME_MAX_SIZE + 2 

//extern int8u txFrame[],rxLen,rxFrame[];

//void radioInit(int8u chan, int8u pwr);
//void radioSetMode(int8u mode);
//void radioSend(int8u size);
//void radioRecv(void);
#endif // __RADIO_H__
